#pragma once

#include "CoreMinimal.h"
#include "RootWidget.h"
#include "StoreRootWidget.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class DBDUIPRESENTERS_API UStoreRootWidget : public URootWidget
{
	GENERATED_BODY()

protected:
	UFUNCTION(BlueprintPure)
	bool ShouldPresentBackgroundOnUnfocus() const;

public:
	UStoreRootWidget();
};

FORCEINLINE uint32 GetTypeHash(const UStoreRootWidget) { return 0; }
